Package org.apache.sysds.utils.stats

# Class FederatedCompressionStatistics

java.lang.Object
org.apache.sysds.utils.stats.FederatedCompressionStatistics

public class FederatedCompressionStatistics extends Object

## Constructor Summary

Constructors
Constructor
Description
`FederatedCompressionStatistics()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`decodingStep(long decodingMillis, long beforeSize, long afterSize)`
`static void`
`encodingStep(long encodingMillis, long beforeSize, long afterSize)`
`static void`
`reset()`
`static String`
`statistics()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FederatedCompressionStatistics

public FederatedCompressionStatistics()

## Method Details

### encodingStep

public static void encodingStep(long encodingMillis, long beforeSize, long afterSize)

### decodingStep

public static void decodingStep(long decodingMillis, long beforeSize, long afterSize)

### reset

public static void reset()

### statistics

public static String statistics()